# External: "jQuery.fn"

## "jQuery.fn"

The jQuery plugin namespace.

Source:
  - jquery.textHighlighter.js, line 14
See:
  - The jQuery Plugin Guide

### Methods

#### <static> getHighlighter() → {TextHighlighter}

  Returns TextHighlighter instance which is bound to given jQuery element.

  Source:
    - jquery.textHighlighter.js, line 16

  ##### Returns:

  Type
    TextHighlighter

  ##### Example

       $('#sandbox').getHighlighter() // returns TextHighlighter instance

#### <static> textHighlighter(options) → {jQuery}

  Creates TextHighlighter instance and applies it to the given jQuery object.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | object | Same as TextHighlighter options.

  Source:
    - jquery.textHighlighter.js, line 30

  ##### Returns:

  Type
    jQuery

  ##### Example

       $('#sandbox').textHighlighter({ color: 'red' });